ESRI, 16 Nisan 2019 tarihinden itibaren ArcGIS Online’a bağlı olan servislerinde yalnızca TLS 1.2’yi destekleyeceğini duyurdu. Bu duyuruları daha önce blog sayfamız aracılığıyla siz değerli okuyucularımıza iletmiştik.

İlgilli blog yazılarına aşağıdaki bağlantılardan erişebilirsiniz:

https://blog.esriturkey.com.tr/2018/11/16/arcgis-platformu-ve-tls-protokolu-ile-ilgili-onemli-bir-guncelleme/

https://blog.esriturkey.com.tr/2018/12/28/2019-arcgis-guvenlik-satndartlari-ve-protokolleri-iyilestirmeleri-nelerdir/

Bu yazımızda da TLS güncellemesinden sonra ArcGIS Enterprise içerisinde yer alan ArcGIS Server ve Portal for ArcGIS bileşenlerdeki etkilerinden aşağıda bahsedeceğiz.

ArcGIS Server Kullanımında Etkilenecek Noktalar;

  • ArcGIS Online içeriğiyle veya altlık haritasıyla birlikte kullanacağınız ArcGIS Server “print servisi” , ArcGIS Online TLS 1.0 ve 1.1 desteği kaldırıldığı için altlık haritaya erişime izin vermeyecektir
  • ArcGIS Online içeriği kullanılarak yapılan özel coğrafi işlem araç servisleri,
  • ArcGIS Online içerisine tanıtılan ArcGIS Server 10.3 veya daha önceki sürümlerden erişilen öğeler, bu değişiklikten etkileneceklerdir.

Portal for ArcGIS Kullanımında Etkilenecek Noktalar,

  • Barındırılan katman, altlık haritalar ve ArcGIS Living Atlas of the World içeriği gibi Portal for ArcGIS içerisine tanıtılan ArcGIS Online’nın güvenli ögelerin erişim etkilenecektir.
  • “Geosearch, geocoding, routing” ve diğerleri gibi ArcGIS Online utility servislerinin Portal for ArcGIS içerisinde yapılandırılması ve kullanılması konularında TLS değişikliği sisteminizi etkileyebilir.

ArcGIS Enterprise sisteminizin TLS güncellemesinden nasıl etkileneceğini tespit etmeniz için 2 faktör bulunmaktadır.

  • Kullandığınız ArcGIS Enterprise sürümü
  • ArcGIS Enterprise sisteminizin yüklü olduğu işletim sistemi sürümü

Portal for ArcGIS: Portal for ArcGIS 10.4 versiyonu ve öncesi versiyonlar TLS değişikliğinden etkilenecektir. Bu versiyonlar TLS 1.0 protokolüyle çalışan bileşenler içermektedir.

Portal for ArcGIS 10.4.1 ve üstü sürümler değişiklikten etkilenmeyecektir.

ArcGIS Server, işletim sistemine ve sürümüne bağlı olarak değişiklikten etkilenebilir. İşletim sistemlerinde

TLS 1.2’yi Destekleyen İşletim Sistemleri

Windows Server 2008: ArcGIS Server Windows Server 2008 işletim sistemi üzerine kuruluysa TLS 1.2’yi desteklemeyeceği için etkilenecektir.

Windows Server 2008 R2 ve üstü sürümlerde:  Windows Server 2008 R2 ve üstü sürümlerde, Windows Server 2012, Windows Server 2012 R2 ve Windows Server 2016 gibi, TLS 1.2’yi destekleyen protokol bulunmaktadır.

Windows Server 2008 R2 ve Windows Server 2012 işletim sistemlerinde Internet Explorer sürümüne bağlı olarak sistem etkilenebilmektedir. Eğer Internet Explorer 11 sürümü yüklüyse TLS 1.2 protokolünü destekleyecektir, yüklü değilse ArcGIS Server hesabı için bu protokolün etkinleştirilmesi gerekir.

Linux:

Linux işletim sistemlerinde çalışan tüm ArcGIS Server sürümleri TLS 1.2 ile uyumludur ve ayrı olarak bir işlem yapmanıza gerek yoktur.

ArcGIS Enterprise yapısı bu değişiklikten etkilendiğinde yapmanız gerekenler;

Portal for ArcGIS, 10.4 ve öncesi versiyonu kullanıyorsanız, Esri yazılımızınızı TLS 1.2 destekleyen güncel bir sürüme yükseltmenizi önermektedir. Portal for ArcGIS 10.4.1 ve üstü tüm versiyonlar TLS 1.2 protokolünü desteklemektedir.

ArcGIS Server’ın, versiyon farketmeksizin TLS protokol değişikliğinden etkilenmesi mümkündür. Bu sebeple hem yazılımın kurulu olduğu işletim sistemi versiyonu hem de ArcGIS Server hesabının Internet Seçenekleri bu süreci etkilemektedir.

Windows Server 2008 R2 veya Windows Server 2012 işletim sistemindeki ArcGIS Server kullanıcıları, ArcGIS Server hesabı için TLS 1.2’yi etkinleştirmelidir.

Windows Server 2012 R2 ve Windows Server 2016 işletim sistemleri için herhangi ek bir yapılandırmaya ihtiyaç bulunmamaktadır.

Siz değerli kullanıcılarımıza duyururuz..

Faydalanılan Kaynaklar:

ESRI Türkiye, 2019

 

Share This